<?php
require('../flowap/system.php');
switch($act) {
    default: 
    echo 'dawdaw';
	break;
    case 'exitreg':
    if(empty($user['id']) or $user['regas'] == 1):
        $_SESSION['err'] = 'Что-то пошло не так.';
        header('location: /'); exit;
    endif;
    	$title->SetTitle('Завершите регистрацию');
    	$title->GetHeader();
			?>
		 	<div class="flowap3">
                <div class="titlel">Завершите регистрацию</div>
                <div class="bogess">
                	<img src="https://vk.com/sticker/1-16263-128" style="float: left;width: 16%;padding: 10px;"> Привет, спасибо тебе за регистрацию на проекте. Хочу сообщить о том, что мы довольно новенький проект, который живет за счет одного интузиаста. Буду ужасно рад видеть вас в чесле не только комментаторов, но и блогеров. Все качественные статьи будут не плохо награждаться. Если вы программист или разработчик и у вас есть желание не плохо подзаработать, тогда вам к нам.
                </div>
                <?php
                if(isset($_POST['save'])):
                    // Фильтруем
                    $var1 = functions::htmlred($_POST['usl']);
                    // Проверка на ошибки
                    if(isset($var1) and ($var1 != $user['nick'])):
                        if(empty($var1) || mb_strlen($var1) < 4 || mb_strlen($var1) > 32):
                            $err = 'Адрес указан не правильно.';
                        elseif(ctype_digit($var1) === TRUE): // проверка только на символы
                            $err = 'Адрес указан не правильно.';
                        elseif(preg_match("/[^1-9a-zA-Z]+/", $var1)): // отсекаем пробелы и русские символы
                            $err = 'Адрес указан не правильно.';
                        elseif(DB::$dbs->querySingle('SELECT COUNT(`id`) FROM `user` WHERE `nick` = ?', [$var1]) > 0): // занят ли адресс
                            $err = 'Такой адрес уже занят.';
                        endif;
                    endif;
                    // Проверка на ошибки
                    if(isset($err)):
                        $_SESSION['err'] = $err;
                        header('location: /exitreg/'); exit;
                    else:
                        // Запрос на изменение
                        DB::$dbs->query('UPDATE `user` SET `nick` = ?, `regas` = 1 WHERE `id` = ? LIMIT 1', [$var1,$user['id']]);
                        $_SESSION['good'] = 'Вы успешно закончили регистрацию.';
                        header('location: /'); exit;
                    endif;
                endif;
                ?>
            	<form class="bogess orkrjs" id="razot_1" method="post" action="" style="border-top: 1px solid #eaeaea;background-color: #fffff6;">
		            <div class="namerdis">Адрес страницы</div>
		            Для начала, выбери себе крутой адрес страницы, что бы пользователи могли быстро тебя найти.
					<div class="redank10">
						<div class="redank11"><nobr>u/</nobr></div>
						<div class="redank12">
							<input id="vvod" name="usl" onkeyup="uslink(1000)" maxlength="32" type="text" class="redank14" value="">
							<div class="redank13"></div>
						</div>
					</div>
			        <input id="savesss" style="margin-top: 5px;" type="submit" name="save" value="Закончить регистрацию" disabled>
				</form>  
            </div>
			<?php
		$title->GetFooter();   
    break;
}
?>